### Method

# Atk Value set_value

since: 2.12

#### Declaration [src]

    void
    atk_value_set_value (
      AtkValue* obj,
      const gdouble new_value
    )

#### Description [src]

Sets the value of this object.

This method is intended to provide a way to change the value of the object. In any case, it is possible that the value can’t be modified (ie: a read-only component). If the value changes due this call, it is possible that the text could change, and will trigger an `AtkValue::value-changed` signal emission.

Note for implementors: the deprecated `atk_value_set_current_value()` method returned TRUE or FALSE depending if the value was assigned or not. In the practice several implementors were not able to decide it, and returned TRUE in any case. For that reason it is not required anymore to return if the value was properly assigned or not.

Available since: 2.12

#### Parameters

`new_value`

  Type: `const gdouble`

  A double which is the desired new accessible value.